Get comment replies
curl --request GET \
--url https://store.salesive.com/api/v1/comments/replies/{commentId} \
--header 'Authorization: Bearer <token>' \
--header 'x-shop-id: <api-key>'import requests
url = "https://store.salesive.com/api/v1/comments/replies/{commentId}"
headers = {
"Authorization": "Bearer <token>",
"x-shop-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-shop-id': '<api-key>'}
};
fetch('https://store.salesive.com/api/v1/comments/replies/{commentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Comments
Get replies
Retrieve replies to a specific comment.
GET
/
comments
/
replies
/
{commentId}
Get comment replies
Request
GET /comments/replies/6a27d380289b87893fcbdd8e?page=1&limit=5
Authorization: Bearer {{token}}
x-shop-id: {{shopId}}
Headers
| Header | Type | Description |
|---|---|---|
Authorization | string | Provide the customer token as Bearer <jwt>. |
x-shop-id | string | Identify the shop. |
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
commentId | string | Yes | Parent comment identifier. |
Query parameters
| Parameter | Type | Description |
|---|---|---|
page | integer | Page number (default: 1). |
limit | integer | Replies per page (default: 5). |
Successful response
{
"status": 200,
"success": true,
"message": "Replies retrieved successfully",
"data": {
"comments": [
{
"_id": "6a27d38e289b87893fcbddaa",
"content": "Yes it does!",
"image": null,
"user": {
"_id": "69360693a7a8f7dc8ae32d6d",
"name": "Jane Smith",
"role": "user",
"avatar": "https://cdn.salesive.com/avatars/jane.jpg"
},
"product": "69fb494e51280f9f65d059ae",
"shop": "68b8f52575da81b332af29f1",
"parent": "6a27d380289b87893fcbdd8e",
"likes": [],
"dislikes": [],
"likeCount": 0,
"dislikeCount": 0,
"replyCount": 0,
"isDeleted": false,
"createdAt": "2026-06-09T08:49:18.752Z",
"updatedAt": "2026-06-09T08:49:18.752Z",
"__v": 0
}
],
"total": 1,
"replyCount": 1,
"page": 1,
"totalPages": 1
}
}
Error response
{
"status": 404,
"success": false,
"message": "Comment not found",
"data": {}
}
Authorizations
JWT issued by the Salesive Store API for authenticated shoppers.
Optional storefront identifier sent as a header to scope responses to a specific shop. Try It requests remember this value once provided.
Headers
Optional identifier that scopes responses to a specific storefront when the referer cannot be inferred.
Path Parameters
Comment identifier
Response
200
Replies retrieved successfully
Was this page helpful?
⌘I

